import { Children, cloneElement } from 'react';
import cx from 'classnames';
import PropTypes from 'prop-types';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var BASE_CLASS = "sui-MoleculeSelect-inputSelect";
var CLASS_CONTAINER = BASE_CLASS + "-container";
var CLASS_ARROW = BASE_CLASS + "-arrow";
var CLASS_ARROW_DOWN = CLASS_ARROW + "--down";
var CLASS_ARROW_UP = CLASS_ARROW + "--up";

var MoleculeInputSelect = function MoleculeInputSelect(props) {
  var _cx;

  var onClick = props.onClick,
      iconArrow = props.iconArrowDown,
      isOpen = props.isOpen,
      disabled = props.disabled,
      children = props.children;
  var classNames = cx(CLASS_ARROW, (_cx = {}, _cx[CLASS_ARROW_DOWN] = !isOpen, _cx[CLASS_ARROW_UP] = isOpen, _cx));

  var extendedChildren = function extendedChildren() {
    return Children.toArray(children).filter(Boolean).map(function (child, index) {
      return /*#__PURE__*/cloneElement(child, props);
    });
  };

  return /*#__PURE__*/_jsxs("div", {
    className: CLASS_CONTAINER,
    onClick: !disabled ? onClick : null,
    children: [extendedChildren(), /*#__PURE__*/_jsx("span", {
      className: classNames,
      children: iconArrow
    })]
  });
};

MoleculeInputSelect.displayName = 'MoleculeInputSelect';
export default MoleculeInputSelect;